Package org.eclipse.birt.report.engine.api.script.element

# Class StructureScriptAPIFactory

java.lang.Object
org.eclipse.birt.report.engine.api.script.element.StructureScriptAPIFactory

@Deprecated public class StructureScriptAPIFactory extends Object
Deprecated.
replaced by methods in `IReportDesign` .
Structure Factory for script API.

## Constructor Summary

Constructors
Constructor
Description
`StructureScriptAPIFactory()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static IDataBinding`
`createDataBinding()`
Deprecated.
Create `IDataBinding`
`static IFilterCondition`
`createFilterCondition()`
Deprecated.
Create `IFilterCondition`
`static IHideRule`
`createHideRule()`
Deprecated.
Create `IHideRule` instance
`static IHighlightRule`
`createHighLightRule()`
Deprecated.
Create `IHighLightRule`
`static ISortCondition`
`createSortCondition()`
Deprecated.
Create `ISortCondition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructureScriptAPIFactory

public StructureScriptAPIFactory()
Deprecated.

## Method Details

### createHideRule

public static IHideRule createHideRule()
Deprecated.
Create `IHideRule` instance

Returns:
  IHideRule

### createFilterCondition

public static IFilterCondition createFilterCondition()
Deprecated.
Create `IFilterCondition`

Returns:
  instance

### createDataBinding

public static IDataBinding createDataBinding()
Deprecated.
Create `IDataBinding`

Returns:
  instance

### createHighLightRule

public static IHighlightRule createHighLightRule()
Deprecated.
Create `IHighLightRule`

Returns:
  instance

### createSortCondition

public static ISortCondition createSortCondition()
Deprecated.
Create `ISortCondition`

Returns:
  instance